## GtkSourceCompletionWords

GtkSourceCompletionWords — A GtkSourceCompletionProvider for the completion of words

## Functions

GtkSourceCompletionWords * | gtk_source_completion_words_new ()
void | gtk_source_completion_words_register ()
void | gtk_source_completion_words_unregister ()

## Properties

GtkSourceCompletionActivation | activation | Read / Write / Construct
GdkPixbuf * | icon | Read / Write / Construct
int | interactive-delay | Read / Write / Construct
guint | minimum-word-size | Read / Write / Construct
char * | name | Read / Write / Construct
int | priority | Read / Write / Construct
guint | proposals-batch-size | Read / Write / Construct
guint | scan-batch-size | Read / Write / Construct

## Types and Values

struct | GtkSourceCompletionWords

## Object Hierarchy

        GObject
        ╰── GtkSourceCompletionWords

## Implemented Interfaces

GtkSourceCompletionWords implements GtkSourceCompletionProvider.

## Includes

    #include <gtksourceview/gtksource.h>

## Description

The GtkSourceCompletionWords is an example of an implementation of the GtkSourceCompletionProvider interface. The proposals are words appearing in the registered GtkTextBuffers.

## Functions

### gtk_source_completion_words_new ()

    GtkSourceCompletionWords *
    gtk_source_completion_words_new (const gchar *name,
                                     GdkPixbuf *icon);

#### Parameters

name | The name for the provider, or `NULL`. | [nullable]
icon | A specific icon for the provider, or `NULL`. | [nullable]

#### Returns

a new GtkSourceCompletionWords provider

### gtk_source_completion_words_register ()

    void
    gtk_source_completion_words_register (GtkSourceCompletionWords *words,
                                          GtkTextBuffer *buffer);

Registers `buffer` in the `words` provider.

#### Parameters

words | a GtkSourceCompletionWords |
buffer | a GtkTextBuffer |

### gtk_source_completion_words_unregister ()

    void
    gtk_source_completion_words_unregister
                                   (GtkSourceCompletionWords *words,
                                    GtkTextBuffer *buffer);

Unregisters `buffer` from the `words` provider.

#### Parameters

words | a GtkSourceCompletionWords |
buffer | a GtkTextBuffer |

## Types and Values

### struct GtkSourceCompletionWords

    struct GtkSourceCompletionWords;

## Property Details

### The `“activation”` property

      “activation”               GtkSourceCompletionActivation

The type of activation.

Owner: GtkSourceCompletionWords

Flags: Read / Write / Construct

Default value: GTK_SOURCE_COMPLETION_ACTIVATION_INTERACTIVE | GTK_SOURCE_COMPLETION_ACTIVATION_USER_REQUESTED

Since: 3.10

### The `“icon”` property

      “icon”                     GdkPixbuf *

The provider icon.

Owner: GtkSourceCompletionWords

Flags: Read / Write / Construct

### The `“interactive-delay”` property

      “interactive-delay”        int

The delay before initiating interactive completion.

Owner: GtkSourceCompletionWords

Flags: Read / Write / Construct

Allowed values: >= -1

Default value: 50

### The `“minimum-word-size”` property

      “minimum-word-size”        guint

The minimum word size to complete.

Owner: GtkSourceCompletionWords

Flags: Read / Write / Construct

Allowed values: >= 2

Default value: 2

### The `“name”` property

      “name”                     char *

The provider name.

Owner: GtkSourceCompletionWords

Flags: Read / Write / Construct

Default value: NULL

### The `“priority”` property

      “priority”                 int

Provider priority.

Owner: GtkSourceCompletionWords

Flags: Read / Write / Construct

Default value: 0

### The `“proposals-batch-size”` property

      “proposals-batch-size”     guint

Number of proposals added in one batch.

Owner: GtkSourceCompletionWords

Flags: Read / Write / Construct

Allowed values: >= 1

Default value: 300

### The `“scan-batch-size”` property

      “scan-batch-size”          guint

Number of lines scanned in one batch.

Owner: GtkSourceCompletionWords

Flags: Read / Write / Construct

Allowed values: >= 1

Default value: 50